<div class="container">
  <form #todoForm="ngForm" (submit)="todoSubmit(todoForm.value); todoForm.resetForm()">
    <div class="form-group">
      <h1 class="text-center text-primary">Todo App</h1>
      <div class="input-group-prepend">
        <input type="text" #todo class="form-control" placeholder="Add Todo" name="todo" ngModel>
        <span class="input-group-text" (click)="addTodo(todo.value); todoForm.resetForm()">
          <i class="material-icons">add</i>
        </span>
      </div>
    </div>
    <div #dataContainer class="data">
      <ul class="list-unstyled">
        <li *ngFor="let todo of todoArray">
          <span>{{todo.text}}</span>
          <span class="checkbox-delete-container">
            <label class="pure-material-checkbox">
              <input type="checkbox"
                     (input)="todoFinished(todo, $event)"
                     [checked]="todo.completed">
              <span>Finished</span>
            </label>
            <i class="material-icons" (click)="deleteTodo(todo)">delete</i>
          </span>
        </li>
      </ul>
    </div>
  </form>
</div>

